<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-buttons slot="start" (click)="closeModal()">
			<ion-icon slot="icon-only" name="arrow-back"></ion-icon>
		</ion-buttons>
		<ion-title slot="start">Memory cache</ion-title>
		<!-- <ion-buttons slot="end" (click)="refreshSearch()">
			Bỏ lọc
		</ion-buttons> -->
	</ion-toolbar>
</ion-header>
<ion-content>
	<!-- <ion-searchbar placeholder="Tìm kiếm " (ionInput)="ionInput($event)" (ionClear)="ionClear()"></ion-searchbar> -->
	<ion-grid fixed class="ion-no-padding">

		<ion-list>
			<ion-list-header>
				<ion-text color="dark">
					<h5>Danh sách cahe</h5>
				</ion-text>
			</ion-list-header>
			<ion-item *ngFor="let entry of data">
				<ion-label>{{entry.name}}</ion-label>
				<ion-checkbox slot="end" [(ngModel)]="entry.IsChecked" (ionChange)="ionChange()"></ion-checkbox>
			</ion-item>
		</ion-list>

	</ion-grid>

	<ion-row>
		<!-- <ion-button>Default</ion-button> -->
		<ion-col size=6>
			<ion-button class="x-small" (click)="clearAll()">
				<ion-icon name="trash"></ion-icon>ClearAll
			</ion-button>
		</ion-col>
		<ion-col size=6>
			<ion-button class="x-small" (click)="syncCauHinhHeThong()">
				<ion-icon name="trash"></ion-icon>Sync Cấu hình hệ thống
			</ion-button>
		</ion-col>
		<ion-col size=6 text-end>
			<ion-button class="x-small" [disabled]="!(this.dataSelected && this.dataSelected.length > 0)" (click)="clear()">
				<ion-icon name="trash"></ion-icon>Clear
			</ion-button>
		</ion-col>
	</ion-row>
</ion-content>